Skip to main content
`Ctrl`+`K`

# PetscDrawSPDraw

Redraws a scatter plot.

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode PetscDrawSPDraw(PetscDrawSP sp, PetscBool clear)

Collective

## Input Parameters

- sp - the scatter plot context

- clear - clear the window before drawing the new plot

## See Also

`PetscDrawLGDraw()`, `PetscDrawLGSPDraw()`, `PetscDrawSP`, `PetscDrawSPCreate()`, `PetscDrawSPReset()`, `PetscDrawSPAddPoint()`, `PetscDrawSPAddPoints()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/dscatter.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages